Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 708276 - app-crypt/yubikey-manager: lacks py37 support
Summary: app-crypt/yubikey-manager: lacks py37 support
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Göktürk Yüksek
URL:
Whiteboard:
Keywords:
Depends on: 709004
Blocks: python3.7-compat
  Show dependency tree
 
Reported: 2020-02-04 20:10 UTC by Piotr Karbowski
Modified: 2020-04-21 02:22 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Piotr Karbowski archtester Gentoo Infrastructure gentoo-dev Security 2020-02-04 20:10:22 UTC
Currently the in tree version is limited to Python 3.6. Version 3.1.1 has been released few days ago. Consider adding Python 3.7 and Python 3.8 support.
Comment 1 Göktürk Yüksek archtester gentoo-dev 2020-02-10 19:54:31 UTC
(In reply to Piotr Karbowski from comment #0)
> Currently the in tree version is limited to Python 3.6. Version 3.1.1 has
> been released few days ago. Consider adding Python 3.7 and Python 3.8
> support.

The dependency pyscard only supports 3.6 (https://gitweb.gentoo.org/repo/gentoo.git/tree/dev-python/pyscard/pyscard-1.9.7.ebuild#n6). Not much we can do here.
Comment 2 Larry the Git Cow gentoo-dev 2020-02-10 20:06:18 UTC
The bug has been referenced in the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=2d5741326852b417fdd124fe3940cc3cde20955d

commit 2d5741326852b417fdd124fe3940cc3cde20955d
Author:     Göktürk Yüksek <gokturk@gentoo.org>
AuthorDate: 2020-02-10 20:05:35 +0000
Commit:     Göktürk Yüksek <gokturk@gentoo.org>
CommitDate: 2020-02-10 20:05:57 +0000

    app-crypt/yubikey-manager: bump to 3.1.1
    
    Bug: https://bugs.gentoo.org/708276
    Package-Manager: Portage-2.3.84, Repoman-2.3.20
    Signed-off-by: Göktürk Yüksek <gokturk@gentoo.org>

 app-crypt/yubikey-manager/Manifest                 |  1 +
 .../yubikey-manager/yubikey-manager-3.1.1.ebuild   | 63 ++++++++++++++++++++++
 2 files changed, 64 insertions(+)
Comment 3 Göktürk Yüksek archtester gentoo-dev 2020-04-21 02:22:38 UTC
commit dfc71769721bb31b04fa571cf0a2b4c1e3592a27
Commit:     Rick Farina <zerochaos@gentoo.org>
CommitDate: Wed Mar 18 22:11:57 2020 -0400

    app-crypt/yubikey-manager: adding python3_{7,8}
    
    Package-Manager: Portage-2.3.94, Repoman-2.3.21
    Signed-off-by: Rick Farina <zerochaos@gentoo.org>